package com.ruoyi.system.mapper;

import com.ruoyi.system.entity.TableSql;

import java.util.List;


/**
 * table 联合查询sql存储Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-19
 */
public interface TableSqlMapper {
    /**
     * 查询table 联合查询sql存储
     *
     * @param tId table 联合查询sql存储主键
     * @return table 联合查询sql存储
     */
    public TableSql selectTableSqlByTId(Long tId);

    /**
     * 查询table 联合查询sql存储
     *
     * @param SQLKEY 绑定table唯一标识
     * @return table 联合查询sql存储
     */
    public TableSql selectTableSqlByTSqlKey(String SQLKEY);

    /**
     * 查询table 联合查询sql存储列表
     *
     * @param tableSql table 联合查询sql存储
     * @return table 联合查询sql存储集合
     */
    public List<TableSql> selectTableSqlList(TableSql tableSql);

    /**
     * 新增table 联合查询sql存储
     *
     * @param tableSql table 联合查询sql存储
     * @return 结果
     */
    public int insertTableSql(TableSql tableSql);

    /**
     * 修改table 联合查询sql存储
     *
     * @param tableSql table 联合查询sql存储
     * @return 结果
     */
    public int updateTableSql(TableSql tableSql);

    /**
     * 删除table 联合查询sql存储
     *
     * @param tId table 联合查询sql存储主键
     * @return 结果
     */
    public int deleteTableSqlByTId(Long tId);

    /**
     * 批量删除table 联合查询sql存储
     *
     * @param tIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTableSqlByTIds(Long[] tIds);
}
